/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zbTable.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.modules.zbTable.entity.ZbTableEntity;
import org.springblade.modules.zbTable.vo.TQDevBaseVO;
import org.springblade.modules.zbTable.vo.ZbTableVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.zblsTable.entity.ZblsTableEntity;

import java.util.List;

/**
 * 装备列表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-06-04
 */
public interface ZbTableMapper extends BaseMapper<ZbTableEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param table
	 * @return
	 */
	List<ZbTableEntity> selectTablePage(IPage page, ZbTableEntity table);

	List<ZblsTableEntity> selectLsjl(String zbbh);

	ZbTableEntity selectZbByZbbh(String zbbh);

	ZblsTableEntity getLsjlByLqsj(String zbbh);

	List<ZbTableEntity> selectDt(ZbTableEntity zbTable);

	List<ZbTableEntity> getZbByDw(String[] id);

	TQDevBaseVO getZbzxdw(String zbbh);

	List<ZbTableEntity> selectZbByPcs(ZbTableEntity zbTable);

	ZbTableEntity selectZbbh(String zbbh);
}
