/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zbdsTable.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 装备丢失表 实体类
 *
 * @author BladeX
 * @since 2024-06-06
 */
@Data
@TableName("zbds_table")
@ApiModel(value = "ZbdsTable对象", description = "装备丢失表")
@EqualsAndHashCode(callSuper = true)
public class ZbdsTableEntity extends BaseEntity {

	/**
	 * 装备编号
	 */
	@ApiModelProperty(value = "装备编号")
	private String zbbh;
	/**
	 * 最后定位
	 */
	@ApiModelProperty(value = "最后定位")
	private String zhdw;
	/**
	 * 丢失地点
	 */
	@ApiModelProperty(value = "丢失地点")
	private String dsdd;

}
