/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zbdsTable.service.impl;

import org.springblade.modules.zbdsTable.entity.ZbdsTableEntity;
import org.springblade.modules.zbdsTable.vo.ZbdsTableVO;
import org.springblade.modules.zbdsTable.mapper.ZbdsTableMapper;
import org.springblade.modules.zbdsTable.service.IZbdsTableService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 装备丢失表 服务实现类
 *
 * @author BladeX
 * @since 2024-06-06
 */
@Service
public class ZbdsTableServiceImpl extends BaseServiceImpl<ZbdsTableMapper, ZbdsTableEntity> implements IZbdsTableService {

	@Override
	public IPage<ZbdsTableVO> selectZbdsTablePage(IPage<ZbdsTableVO> page, ZbdsTableVO zbdsTable) {
		return page.setRecords(baseMapper.selectZbdsTablePage(page, zbdsTable));
	}


}
