/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zblsTable.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 装备历史列表 实体类
 *
 * @author BladeX
 * @since 2024-06-04
 */
@Data
@TableName("zbls_table")
@ApiModel(value = "ZblsTable对象", description = "装备历史列表")
@EqualsAndHashCode(callSuper = true)
public class ZblsTableEntity extends BaseEntity {

	/**
	 * 装备类型
	 */
	@ApiModelProperty(value = "装备类型")
	private String zblx;
	/**
	 * 装备编号
	 */
	@ApiModelProperty(value = "装备编号")
	private String zbbh;
	/**
	 * 装备用途
	 */
	@ApiModelProperty(value = "装备用途")
	private String zbyt;
	/**
	 * 装备状态
	 */
	@ApiModelProperty(value = "装备状态")
	private String zbzt;
	/**
	 * 领取人姓名
	 */
	@ApiModelProperty(value = "领取人姓名")
	private String lqrxm;
	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private String xb;
	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String sfzh;
	/**
	 * 警号
	 */
	@ApiModelProperty(value = "警号")
	private String jh;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 领取时间
	 */
	@ApiModelProperty(value = "领取时间")
	private Date lqsj;
	/**
	 * 归还时间
	 */
	@ApiModelProperty(value = "归还时间")
	private Date ghsj;
	/**
	 * 所属市局编码
	 */
	@TableField(exist = false)
	private Long sssjBm;
	/**
	 * 所属市局名称
	 */
	@TableField(exist = false)
	private String sssjMc;
	/**
	 * 所属分局编码
	 */
	@TableField(exist = false)
	private Long ssfjBm;
	/**
	 * 所属分局名称
	 */
	@TableField(exist = false)
	private String ssfjMc;
	/**
	 * 所属派出所编码
	 */
	@TableField(exist = false)
	private Long sspcsBm;
	/**
	 * 所属派出所名称
	 */
	@TableField(exist = false)
	private String sspcsMc;
	/**
	 * 操作
	 */
	@ApiModelProperty(value = "操作")
	private String cz;
	@TableField(exist = false)
	private String zhdw;
	@TableField(exist = false)
	private String dsdd;
	@TableField(exist = false)
	private int BAT;
	@TableField(exist = false)
	private int CSQ;
}
