/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zblsTable.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.zblsTable.entity.ZblsTableEntity;
import org.springblade.modules.zblsTable.vo.ZblsTableVO;
import java.util.Objects;

/**
 * 装备历史列表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-06-04
 */
public class ZblsTableWrapper extends BaseEntityWrapper<ZblsTableEntity, ZblsTableVO>  {

	public static ZblsTableWrapper build() {
		return new ZblsTableWrapper();
 	}

	@Override
	public ZblsTableVO entityVO(ZblsTableEntity zblsTable) {
		ZblsTableVO zblsTableVO = Objects.requireNonNull(BeanUtil.copy(zblsTable, ZblsTableVO.class));

		//User createUser = UserCache.getUser(zblsTable.getCreateUser());
		//User updateUser = UserCache.getUser(zblsTable.getUpdateUser());
		//zblsTableVO.setCreateUserName(createUser.getName());
		//zblsTableVO.setUpdateUserName(updateUser.getName());

		return zblsTableVO;
	}


}
